aboutsummaryrefslogtreecommitdiff
path: root/ci/common/submit_coverage.sh
diff options
context:
space:
mode:
authorDaniel Hahler <git@thequod.de>2019-10-04 16:09:42 +0200
committerGitHub <noreply@github.com>2019-10-04 16:09:42 +0200
commit77a551b6571f9a455efffeb7f43bf8235b2cbe49 (patch)
tree4506ead6fd49bd8e246737b9fd5d353f567b416c /ci/common/submit_coverage.sh
parenta341eb608706e5e8ac691a7e8f4a9d314bafee20 (diff)
downloadrneovim-77a551b6571f9a455efffeb7f43bf8235b2cbe49.tar.gz
rneovim-77a551b6571f9a455efffeb7f43bf8235b2cbe49.tar.bz2
rneovim-77a551b6571f9a455efffeb7f43bf8235b2cbe49.zip
ci: coverage for Lua (no Windows, using luacov) (#11127)
Diffstat (limited to 'ci/common/submit_coverage.sh')
-rwxr-xr-xci/common/submit_coverage.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/ci/common/submit_coverage.sh b/ci/common/submit_coverage.sh
index 4e92975d22..c3e6be7f38 100755
--- a/ci/common/submit_coverage.sh
+++ b/ci/common/submit_coverage.sh
@@ -43,3 +43,11 @@ fi
# Cleanup always, especially collected data.
find . \( -name '*.gcov' -o -name '*.gcda' \) -ls -delete | wc -l
rm -f coverage.xml
+
+# Upload Lua coverage (generated manually on AppVeyor/Windows).
+if [ "$USE_LUACOV" = 1 ] && [ "$1" != "oldtest" ]; then
+ if ! "$codecov_sh" -f luacov.report.out -X gcov -X fix -Z -F "lua,${codecov_flags}"; then
+ echo "codecov upload failed."
+ fi
+ rm luacov.stats.out
+fi